Bug 229861 - databases/mysql80-server: Update to 8.0.12 fixes multiple CVE
Summary: databases/mysql80-server: Update to 8.0.12 fixes multiple CVE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mahdi Mokhtari
URL: http://www.oracle.com/technetwork/sec...
Keywords: security
Depends on:
Blocks:
 
Reported: 2018-07-18 13:29 UTC by Markus Kohlmeyer
Modified: 2018-08-14 14:44 UTC (History)
0 users

See Also:
mmokhi: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Kohlmeyer 2018-07-18 13:29:18 UTC
Oracle Critical Patch Update Advisory - July 2018
http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html#AppendixMSQL
Comment 1 Markus Kohlmeyer 2018-07-29 20:33:07 UTC
Just a heads up: Release is on mirrors for some time now.
Comment 2 commit-hook freebsd_committer 2018-08-11 20:22:23 UTC
A commit references this bug:

Author: mmokhi
Date: Sat Aug 11 20:22:19 UTC 2018
New revision: 476944
URL: https://svnweb.freebsd.org/changeset/ports/476944

Log:
  databases/mysql80-{client, server}: Update ports to 8.0.12
  This update includes Oracle Critical Patch Advisory published on July 2018
  More info:
  http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html#AppendixMSQL
  Also:
  Delete upstreamed hunks of patches.
  Change local patches regarding upstream changes.

  PR:		229861
  Reported by:	Markus Kohlmeyer <rootservice@gmail.com>
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/databases/mysql80-client/Makefile
  head/databases/mysql80-client/files/patch-CMakeLists.txt
  head/databases/mysql80-client/files/patch-scripts_CMakeLists.txt
  head/databases/mysql80-client/files/patch-sql-common_client.cc
  head/databases/mysql80-server/Makefile
  head/databases/mysql80-server/distinfo
  head/databases/mysql80-server/files/patch-client_CMakeLists.txt
  head/databases/mysql80-server/files/patch-plugin_x_CMakeLists.txt
  head/databases/mysql80-server/files/patch-plugin_x_src_xpl__regex.cc
  head/databases/mysql80-server/files/patch-scripts_CMakeLists.txt
  head/databases/mysql80-server/files/patch-sql-common_client.cc
  head/databases/mysql80-server/pkg-plist
Comment 3 Mahdi Mokhtari freebsd_committer freebsd_triage 2018-08-11 20:23:46 UTC
Again, sorry for delay (as I in other PRs told ``:D I was relocating to my new home :D).
Thanks for PR report again.
Comment 4 commit-hook freebsd_committer 2018-08-14 14:44:58 UTC
A commit references this bug:

Author: mmokhi
Date: Tue Aug 14 14:44:32 UTC 2018
New revision: 477159
URL: https://svnweb.freebsd.org/changeset/ports/477159

Log:
  MFH: r476016 r476944 r477036 r477063 r477105

  databases/mysql80-client: Unbreak patching

  Broken after patch(1) changes in r326084

  PR:	228788
  Submitted by:	curtis@ipv6.occnc.com
  Approved by:	tcberner (mentor) mmokhi (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D16532

  databases/mysql80-{client, server}: Update ports to 8.0.12
  This update includes Oracle Critical Patch Advisory published on July 2018
  More info:
  http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html#AppendixMSQL
  Also:
  Delete upstreamed hunks of patches.
  Change local patches regarding upstream changes.

  PR:		229861
  Reported by:	Markus Kohlmeyer <rootservice@gmail.com>
  Sponsored by:	The FreeBSD Foundation

  databases/mysql80-server: Fix build on default Clang of 10.4-base
  Add sse4.2 flag to CXXFLAGS on 10.4 case.
  The build-script needs it when using intrin lib on crc32

  Sponsored by:	The FreeBSD Foundation

  databases/mysql80-server: Use c++14-lang instead of `msse-4.2 in CXXFLAG`
  As suggested via replies to r477036 using `-msse-4.2` may break build on other
  platforms.

  Reported by:	linimon danfe jbeich
  Sponsored by:	The FreeBSD Foundation

  databases/mysql80-server: Delete no-longer-needed patch for sse4.2

  Reported by:	jbeich
  Sponsored by:	The FreeBSD Foundation

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/databases/mysql80-client/Makefile
  branches/2018Q3/databases/mysql80-client/files/patch-CMakeLists.txt
  branches/2018Q3/databases/mysql80-client/files/patch-scripts_CMakeLists.txt
  branches/2018Q3/databases/mysql80-client/files/patch-sql-common_client.cc
  branches/2018Q3/databases/mysql80-client/files/patch-utilities_CMakeLists.txt
  branches/2018Q3/databases/mysql80-server/Makefile
  branches/2018Q3/databases/mysql80-server/distinfo
  branches/2018Q3/databases/mysql80-server/files/patch-client_CMakeLists.txt
  branches/2018Q3/databases/mysql80-server/files/patch-plugin_x_CMakeLists.txt
  branches/2018Q3/databases/mysql80-server/files/patch-plugin_x_src_xpl__regex.cc
  branches/2018Q3/databases/mysql80-server/files/patch-scripts_CMakeLists.txt
  branches/2018Q3/databases/mysql80-server/files/patch-sql-common_client.cc
  branches/2018Q3/databases/mysql80-server/pkg-plist